@import url("./global-config.css");

:root {
    --primary: rgb(224, 185, 66);
    --secondary: rgb(36, 203, 214);
    --tertiary: rgb(66, 206, 82);
    --success: rgb(64, 255, 143);
    --selected: rgb(255, 232, 108);
    --hint: rgb(246, 134, 33);
    --failure: rgb(255, 85, 104);
    --text: rgb(223, 223, 223);
    --text2: rgb(255, 255, 255);
    --text3: rgb(242, 242, 242);
    --text4: rgb(55, 61, 62);
    --text5: rgb(255, 255, 255);
    --textBtn: rgb(255, 255, 255);
    --border: rgb(26, 157, 110);
    --background1: rgb(10, 95, 79);
    --background2: rgba(26, 119, 98, 1);
    --background3: rgb(18, 62, 66);
    --background4: rgb(52, 205, 74);
    --background5: rgb(0, 91, 72);
    --primary-filter: invert(64%) sepia(44%) saturate(1194%) hue-rotate(342deg) brightness(104%) contrast(101%);
    --banner-height: 460px;
    --font-size: 14px;
    --text2-filter: invert(43%) sepia(8%) saturate(1401%) hue-rotate(173deg) brightness(91%) contrast(88%);
    --text3-filter: brightness(0) saturate(100%) invert(97%) sepia(1%) saturate(0%) hue-rotate(325deg) brightness(103%) contrast(93%);
    --selected-filter: invert(17%) sepia(70%) saturate(350%) hue-rotate(332deg) brightness(103%);
    --secondary-filter: brightness(0) saturate(100%) invert(59%) sepia(99%) saturate(351%) hue-rotate(135deg) brightness(94%) contrast(92%);
    --text5-filter: brightness(0) saturate(100%) invert(99%) sepia(16%) saturate(2%) hue-rotate(225deg) brightness(116%) contrast(100%);

    /* DARK SHADES (Overlay Colors) */
    --dark-d100: rgba(23, 23, 23, 0.9);
    --dark-d200: rgba(23, 23, 23, 0.8);
    --dark-d300: rgba(23, 23, 23, 0.7);
    --dark-d500: rgba(23, 23, 23, 0.5);
    --dark-d700: rgba(23, 23, 23, 0.3);
    --dark-d1200: rgba(255, 255, 255, 0.2);

    /* LIGHT SHADES (Overlay Colors) */
    --light-l100: rgba(255, 255, 255, 0.9);
    --light-l300: rgba(255, 255, 255, 0.7);
    --light-l600: rgba(255, 255, 255, 0.4);
    --light-l850: rgba(255, 255, 255, 0.15);
    --light-l950: rgba(255, 255, 255, 0.05);
    --light-l1350: rgba(0, 0, 0, 0.35);

    /* PRIMARY COLOR GRADIENTS */
    --primary-d100: linear-gradient(0deg, var(--dark-d100) 0%, var(--dark-d100) 100%), var(--primary);
    --primary-d200: linear-gradient(0deg, var(--dark-d200) 0%, var(--dark-d200) 100%), var(--primary);
    --primary-d300: linear-gradient(0deg, var(--dark-d300) 0%, var(--dark-d300) 100%), var(--primary);
    --primary-d500: linear-gradient(0deg, var(--dark-d500) 0%, var(--dark-d500) 100%), var(--primary);
    --primary-d700: linear-gradient(0deg, var(--dark-d700) 0%, var(--dark-d700) 100%), var(--primary);
    --primary-d1200: linear-gradient(0deg, var(--dark-d1200) 0%, var(--dark-d1200) 100%), var(--primary);

    /* SECONDARY COLOR GRADIENTS */
    --secondary-d100: linear-gradient(0deg, var(--dark-d100) 0%, var(--dark-d100) 100%), var(--secondary);
    --secondary-d200: linear-gradient(0deg, var(--dark-d200) 0%, var(--dark-d200) 100%), var(--secondary);
    --secondary-d300: linear-gradient(0deg, var(--dark-d300) 0%, var(--dark-d300) 100%), var(--secondary);
    --secondary-d500: linear-gradient(0deg, var(--dark-d500) 0%, var(--dark-d500) 100%), var(--secondary);
    --secondary-d700: linear-gradient(0deg, var(--dark-d700) 0%, var(--dark-d700) 100%), var(--secondary);
    --secondary-d1200: linear-gradient(0deg, var(--dark-d1200) 0%, var(--dark-d1200) 100%), var(--secondary);

    /* TERTIARY COLOR GRADIENTS */
    --tertiary-d100: linear-gradient(0deg, var(--dark-d100) 0%, var(--dark-d100) 100%), var(--tertiary);
    --tertiary-d200: linear-gradient(0deg, var(--dark-d200) 0%, var(--dark-d200) 100%), var(--tertiary);
    --tertiary-d300: linear-gradient(0deg, var(--dark-d300) 0%, var(--dark-d300) 100%), var(--tertiary);
    --tertiary-d500: linear-gradient(0deg, var(--dark-d500) 0%, var(--dark-d500) 100%), var(--tertiary);
    --tertiary-d700: linear-gradient(0deg, var(--dark-d700) 0%, var(--dark-d700) 100%), var(--tertiary);
    --tertiary-d1200: linear-gradient(0deg, var(--dark-d1200) 0%, var(--dark-d1200) 100%), var(--tertiary);

    /* BACKGROUND 1 GRADIENTS */
    --bg1-l100: linear-gradient(0deg, var(--light-l100) 0%, var(--light-l100) 100%), var(--background1);
    --bg1-l300: linear-gradient(0deg, var(--light-l300) 0%, var(--light-l300) 100%), var(--background1);
    --bg1-l600: linear-gradient(0deg, var(--light-l600) 0%, var(--light-l600) 100%), var(--background1);
    --bg1-l850: linear-gradient(0deg, var(--light-l850) 0%, var(--light-l850) 100%), var(--background1);
    --bg1-l950: linear-gradient(0deg, var(--light-l950) 0%, var(--light-l950) 100%), var(--background1);
    --bg1-l1350: linear-gradient(0deg, var(--light-l1350) 0%, var(--light-l1350) 100%), var(--background1);

    /* BACKGROUND 4 GRADIENTS */
    --bg4-l100: linear-gradient(0deg, var(--light-l100) 0%, var(--light-l100) 100%), var(--background4);
    --bg4-l300: linear-gradient(0deg, var(--light-l300) 0%, var(--light-l300) 100%), var(--background4);
    --bg4-l600: linear-gradient(0deg, var(--light-l600) 0%, var(--light-l600) 100%), var(--background4);
    --bg4-l850: linear-gradient(0deg, var(--light-l850) 0%, var(--light-l850) 100%), var(--background4);
    --bg4-l950: linear-gradient(0deg, var(--light-l950) 0%, var(--light-l950) 100%), var(--background4);
    --bg4-l1350: linear-gradient(0deg, var(--light-l1350) 0%, var(--light-l1350) 100%), var(--background4);

    /* BACKGROUND 5 GRADIENTS */
    --bg5-l100: linear-gradient(0deg, var(--light-l100) 0%, var(--light-l100) 100%), var(--background5);
    --bg5-l300: linear-gradient(0deg, var(--light-l300) 0%, var(--light-l300) 100%), var(--background5);
    --bg5-l600: linear-gradient(0deg, var(--light-l600) 0%, var(--light-l600) 100%), var(--background5);
    --bg5-l850: linear-gradient(0deg, var(--light-l850) 0%, var(--light-l850) 100%), var(--background5);
    --bg5-l950: linear-gradient(0deg, var(--light-l950) 0%, var(--light-l950) 100%), var(--background5);
    --bg5-l1350: linear-gradient(0deg, var(--light-l1350) 0%, var(--light-l1350) 100%), var(--background5);

    /* BORDER GRADIENTS */
    --border-d300: linear-gradient(0deg, var(--dark-d300) 0%, var(--dark-d300) 100%), var(--border);
    --border-d500: linear-gradient(0deg, var(--dark-d500) 0%, var(--dark-d500) 100%), var(--border);
    --border-d700: linear-gradient(0deg, var(--dark-d700) 0%, var(--dark-d700) 100%), var(--border);
    --border-d1200: linear-gradient(0deg, var(--dark-d1200) 0%, var(--dark-d1200) 100%), var(--border);
}

@media screen and (min-width: 2000px) {
    :root {
        --banner-height: 478px;
    }
}

@media screen and (min-width: 2200px) {
    :root {
        --banner-height: 525px;
    }
}

div.common-main[theme-color='classic_green_gold'] .password-info .password-form {
    order: 2;
}

div.common-main[theme-color='classic_green_gold'] .password-info .password-form .el-form-item__content {
    justify-content: center;
}

div.common-main[theme-color='classic_green_gold'] .password-info .password-remark {
    order: 1;
}

div.common-main[theme-color='classic_green_gold'] .password-info .password-remark h5 {
    color: inherit;
}

div.common-main[theme-color='classic_green_gold'] .account_information .el-tabs__item {
    width: 50%;
}

div.common-main[theme-color='classic_green_gold'] .app-download-ml .el-button.el-button--danger {
    background-color: var(--primary) !important;
}

div.common-main[theme-color='classic_green_gold'] .information-info .info-button.el-button.el-button--primary {
    background-color: var(--background1) !important;
    color: var(--primary) !important;
}

div.common-main[theme-color='classic_green_gold'] .bet-list-card {
    border: none;
}

/* div.common-main[theme-color='classic_green_gold'] .dialog-ref button[aria-label='Close this dialog'] {
  display: none;
}

div.common-main[theme-color='classic_green_gold'] .dialog-ref .el-dialog__body {
  width: 100%;
} */

div.common-main[theme-color='classic_green_gold'] .el-radio__inner {
    background-color: black;
}